Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Interface BoxComponentListener

All Superinterfaces:
  ComponentListener

All Known Subinterfaces:
  CheckboxListener, ComboBoxListener, ContainerListener, DataViewListener, FieldListener, FormPanelListener, HtmlEditorListener, PanelListener, ProgressBarListener, TabPanelListener, TextFieldListener, TreePanelListener, WindowListener

All Known Implementing Classes:
  BoxComponentListenerAdapter, CheckboxListenerAdapter, ComboBoxListenerAdapter, ContainerListenerAdapter, DataViewListenerAdapter, FieldListenerAdapter, FormPanelListenerAdapter, HtmlEditorListenerAdapter, PanelListenerAdapter, ProgressBarListenerAdapter, TabPanelListenerAdapter, TextFieldListenerAdapter, TreePanelListenerAdapter, WindowListenerAdapter

    public interface BoxComponentListener

extends ComponentListener

Method Summary
`void` | `onMove(BoxComponent component, int x, int y)` Fires after the component is moved.
`void` | `onResize(BoxComponent component, int adjWidth, int adjHeight, int rawWidth, int rawHeight)` Fires after the component is resized.

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Method Detail

### onMove

    void onMove(BoxComponent component,
                int x,
                int y)

  Fires after the component is moved.

  Parameters:
    `component` - this
    `x` - the new x position
    `y` - the new y position

### onResize

    void onResize(BoxComponent component,
                  int adjWidth,
                  int adjHeight,
                  int rawWidth,
                  int rawHeight)

  Fires after the component is resized. Note that percentage based widths and auto widths are passed as -1.

  Parameters:
    `component` - this
    `adjWidth` - the box-adjusted width that was set
    `adjHeight` - the box-adjusted height that was set
    `rawWidth` - the width that was originally specified
    `rawHeight` - the height that was originally specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD